# $Id: Makefile.in,v 1.9 1999/09/09 12:49:03 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $

TOPDIR		=	../../../..
prefix 		=	@prefix@
exec_prefix 	=	@exec_prefix@

bindir		=	$(exec_prefix)/bin
libdir		=	$(prefix)/lib

ompcdir		=	$(libdir)/openmp
ompclibexecdir	=	$(ompcdir)/libexec
ompclibdir	=	$(ompcdir)/lib
ompcclassdir	=	$(ompcdir)/java
ompctempldir	=	$(ompcdir)/template

INSTALLDIR	=	$(ompclibexecdir)/exc/object
INSTALL		= 	@INSTALLCOM@
MKDIR		=	@MKDIRCOM@


GCCINC		=	-I`case "$(CC)" in *gcc) echo \`$(CC) -v 2>&1 | grep specs | sed 's/specs$$/include/' | awk '{ print $$NF }'\`;; esac`


CC_OPT_SWITCH	=	@CFLAGS@
CPPFLAGS	=	-I. @DEFS@ @CPPFLAGS@
CFLAGS		=	$(CC_OPT_SWITCH) $(CPPFLAGS)

CC		=	@CC@

DEPEND_SWITCH	=	$(CPPFLAGS)


SRCS	 = X-codegen.c
OBJS	 = X-codegen.o
XCODEDEF = X-exprcode.def
XCODEGEN = ./X-codegen
XCODE	 = ../Xcode.java


all: $(XCODE)

$(XCODE): $(XCODEGEN) $(XCODEDEF)
	$(XCODEGEN) < $(XCODEDEF) > $(XCODE)

$(XCODEGEN): $(OBJS)
	$(CC) $(CFLAGS) -o $(XCODEGEN) $(OBJS) $(LDLIBS)

install:

clean:
	rm -f *~ $(XCODEGEN) $(OBJS) $(XCODE)

distclean:
	rm -f *~ Makefile $(XCODEGEN) $(OBJS) $(XCODE)

test:

depend:
